@import "assets/scss/global";

.main-container {
    position: relative;
    width: 100%;
    height: 100%;
    overflow-y: auto;
    padding: 0 10px 20px;
}

.grid-container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);

    @media screen and (min-width: 1280px) {
        grid-template-columns: repeat(4, 1fr);
    }

    @media screen and (min-width: 1400px) {
        grid-template-columns: repeat(5, 1fr);
    }

    @media screen and (min-width: 1920px) {
        grid-template-columns: repeat(6, 1fr);
    }

    row-gap: 20px;
    column-gap: 20px;

    .container-item {
        box-sizing: border-box;

        display: flex;
        flex-direction: column;
        justify-content: space-between;
        padding: 10px;
        gap: 10px;

        background: #FFFFFF;
        border: 1px solid #F4F7FC;
        border-radius: 8px;

        &.hover:hover {
            box-shadow: 0px 4px 20px rgba(76, 95, 168, 0.1);
            cursor: pointer;
            border: 1px solid #F4F7FC;
        }

        &.upcoming:hover {
            cursor: not-allowed;
        }

        .boxSkeleton {
            width: 100%;
            background: linear-gradient(90deg, rgba(0, 0, 0, 0.06) 25%, rgba(0, 0, 0, 0.15) 37%, rgba(0, 0, 0, 0.06) 63%);
            background-size: 400% 100%;
            animation-name: loading-animation;
            animation-duration: 1.4s;
            animation-timing-function: ease;
            animation-iteration-count: infinite;
            border-radius: 8px;

            @keyframes loading-animation {
                0% {
                    background-position: 100% 50%;
                }

                100% {
                    background-position: 0 50%;
                }
            }
        }

        .boxImageSkeleton {
            padding-top: 100%;
        }

        .boxInfoSkeleton {
            padding-top: 120px;
        }

        .thumbnail {
            position: relative;
            border-radius: 8px;
            width: 100%;
            border: 1px solid transparent;
            display: flex;
            align-items: center;
            justify-content: center;

            img {
                position: relative;
                object-fit: contain;
                height: auto;
                max-width: 100%;
                border-radius: 8px;
                border: 1px solid transparent;
            }

            .status-box {
                display: flex;
                align-items: center;
                justify-content: center;
                position: absolute;
                top: 6px;
                left: 5px;
                z-index: 1;
                border-radius: 8px;
                padding: 4px;

                &.ended {
                    background-color: #EF4E2B;
                }

                &.upcoming {
                    background-color: #F79945;
                }

                &.ongoing {
                    background-color: #21C274;
                }

                span {
                    font-weight: 500;
                    font-size: 14px;
                    line-height: 20px;
                    color: #FFFFFF;
                }
            }

            .action-btn {
                width: 31px;
                height: 31px;
                position: absolute;
                top: 6px;
                right: 5px;
                display: flex;
                align-items: center;
                justify-content: center;
                border-radius: 8px;
                background: #FFFFFF;
                box-shadow: 0px 4px 4px rgba(76, 95, 168, 0.1);
                transition: background 0.25s;
                cursor: pointer;

                &:hover {
                    background: #DFDAFF;

                    img {
                        filter: unset;
                        opacity: 1;
                    }
                }

                img {
                    width: 2rem;
                    height: 2rem;
                    object-fit: contain;
                    object-position: center;
                    filter: grayscale(1.3);
                    opacity: 0.6;
                    transition: all 0.25s;
                }
            }
        }

        .unit-test-name {
            width: 100%;
            text-align: start;
            font-weight: 500;
            font-size: 14px;
            line-height: 20px;
            min-height: 20px;
            color: #202226;
        }

        .info-content {
            display: flex;
            flex-direction: column;
            align-items: flex-start;
            padding: 12px;
            gap: 8px;
            width: 100%;
            background: #F7F8FC;
            border-radius: 8px;

            .test-type {
                display: flex;
                align-items: center;
                justify-content: flex-start;
                width: 100%;
                background: #F9E5D7;
                border-radius: 8px;
                padding: 2px 2px 2px 10px;

                span {
                    font-weight: 500;
                    font-size: 13px;
                    line-height: 20px;
                    color: #8B5252;
                }
            }

            .assign-target {
                display: flex;
                align-items: center;
                justify-content: flex-start;
                width: 100%;
                background: #D7F9F5;
                border-radius: 8px;
                padding: 2px 2px 2px 10px;

                span {
                    width: 100%;
                    overflow: hidden;
                    text-overflow: ellipsis;
                    font-weight: 500;
                    font-size: 13px;
                    line-height: 20px;
                    color: #52888B;
                    display: -webkit-box;
                    -webkit-line-clamp: 1;
                    -webkit-box-orient: vertical;
                    word-break: break-word;
                }
            }

            .date-and-time {
                display: flex;
                align-items: center;
                justify-content: space-around;
                width: 100%;

                .text-display,
                .time-display,
                .date-display {
                    display: flex;
                    flex-direction: column;

                    &.ongoing span:first-child {
                        color: #757688;
                    }

                    &.ended span {
                        color: #757688;
                    }

                    span {
                        color: $dark-color;
                        font-size: 14px;
                        line-height: 20px;
                    }
                }
            }
        }
    }
}

.new-pagination {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 65px;
    transition: all 0.25s;
}

.table-action-popover {
    min-width: 16rem;

    .action-item {
        padding: 10px;

        display: flex;
        align-items: center;
        border-radius: 8px;

        color: $dark-color;
        font-size: 14px;
        font-weight: 500;
        line-height: 20px;

        transition: all 0.15s;
        cursor: pointer;
        gap: 10px;

        &:hover {
            color: #EF4E2B;
            background: #FFE8E8;
            transition: all 0.15s;

            svg {
                path {
                    fill: #EF4E2B;
                }
            }

            [fill='none'] {
                path {
                    fill: none;
                }

                [stroke-linejoin="round"] {
                    stroke: #EF4E2B;
                }
            }
        }

        svg {
            width: 21px;
            height: 20px;

            path {
                fill: #8E91A0;
            }
        }

        [fill='none'] {
            path {
                fill: none;
            }

            [stroke-linejoin="round"] {
                stroke: #8E91A0;
            }
        }
    }
}

.popover-modal {
    border-radius: 12px;
    background: #FFFFFF;
    box-shadow: 0px 12px 20px rgba(9, 9, 9, 0.1);
    padding: 10px;
}

.tool-tip-warning {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 9px 16px;
    gap: 6px;
    border-radius: 8px;
    background: #E2E5F2;

    span {
        color: #979797;
        font-size: 14px;
        font-style: normal;
        font-weight: 500;
        line-height: 24px;
    }

    &.disabled {
        visibility: hidden;
    }
}